Dynamiq
Conversations

Get a conversation

Returns a single conversation.

GET
/v1/conversations/{conversation_id}

Authorization

AuthorizationBearer <token>

Organization or project Access Key created in the Dynamiq console. Used for deployed-app (Runs API), AI Gateway, traces collector, and management API requests. Send as Authorization: Bearer <access-key>.

In: header

Path Parameters

conversation_id*string

Conversation UUID.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "title": "string",
    "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
    "model_id": "f8ff2fb8-4acc-4e48-bd83-cbdac23e1224",
    "user_id": "string",
    "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "sandbox_id": "string",
    "app": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string"
    },
    "model": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "provider": "string"
    }
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Unauthorized"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not Found"
  }
}